Summary: Audio I/O library for speech signal processing
Name: spAudio
Version: 0.7.5
Release: 2
Copyright: distributable
Distribution: (none)
Vendor: (none)
Group: Libraries
Source: spAudio-0.7.5-2.tgz
Packager: Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
URL: http://www.itakura.nuee.nagoya-u.ac.jp/people/banno/spLibs/index.html
BuildRoot: /var/tmp/spAudio-root
Requires: spBase >= 0.8.9

%description
spAudio is an audio I/O library for speech signal processing.

%changelog
* Fri Mar 22 2002  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.7.5

* Tue Mar 13 2001  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.7.4

* Sun Oct  8 2000  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.7.3

* Sun Jun 18 2000  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.7.2

* Thu Aug 27 1999  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- 1st release

%prep
%setup
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

%build
cd spAudio
make TOP=/usr clean
make TOP=/usr SPDESTROOT=$RPM_BUILD_ROOT/usr
cd ..

%install
cd spAudio
make TOP=/usr SPDESTROOT=$RPM_BUILD_ROOT/usr install
make TOP=/usr SPDESTROOT=$RPM_BUILD_ROOT/usr install.hdr
cd ..
if [ -f $RPM_BUILD_ROOT/usr/lib/libspa.linux-glibc.a ]; then
    cd $RPM_BUILD_ROOT/usr/lib
    ln -s libspa.linux-glibc.a libspa.linux.a
fi

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%post
%preun
%postun

%files 
%doc spAudio/README* spAudio/CHANGES* spAudio/LICENSE*
/usr/lib/*.a
/usr/include/sp/*.h
