#########################################################
#							#
#	Makefile for spComponent/Motif			#
#							#
#########################################################

ARCH_DEPEND   = y
USE_GUI       = y

TOP	      = ..

USRCFLAGS     = -I.

PROGRAM	      = spc

CPU	      = linux

OBJDIR        = obj_$(CPU)

LIBDEST       = ../lib

SRCS	      = \
		spObject.c \
		spLocale_Xm.c spLocale.c \
		spTopLevel_Xm.c spTopLevel.c \
		spComponent.c spComponent_Xm.c \
		spPrimitive.c spPrimitive_Xm.c \
		spFrame.c spFrame_Xm.c \
		spDialog.c spDialog_Xm.c \
		spText.c spText_Xm.c \
		spLabel.c spLabel_Xm.c \
		spButton.c spButton_Xm.c \
		spList.c spList_Xm.c \
		spComboBox.c spComboBox_Xm.c \
		spContainer.c spContainer_Xm.c \
		spCanvas.c spCanvas_Xm.c \
		spSlider.c spSlider_Xm.c \
		spMenu.c spMenu_Xm.c \
		spMenuItem.c spMenuItem_Xm.c \
		spDraw.c spDraw_Xm.c \
		spGraphics.c spGraphics_Xm.c \
		spTabBox.c spTabBox_Xm.c \
		spToolBar.c spToolBar_Xm.c \
		spToolItem.c spToolItem_Xm.c \
		spStatusBar.c spStatusBar_Xm.c \
		spDialogBox.c \
		spParamField.c \
		spDial.c 

#HDRDIR        = ../include/sp
HDRDIR        = ./sp

HDRS          = \
		spComponentLib.h spComponentMain.h \
		spComponentDefs.h spKeySym.h \
		spLocaleDefs.h spLocale.h spLocaleP.h \
		spStringDefs.h spStringDefs_C.h \
		spStringDefs_EUCJP.h spStringDefs_SJIS.h \
		spObject.h spObjectP.h \
		spTopLevel.h spTopLevelP.h spTopLevel_Xm.h \
		spComponent.h spComponentP.h spComponent_Xm.h \
		spPrimitive.h spPrimitiveP.h spPrimitive_Xm.h \
		spFrame.h spFrameP.h spFrame_Xm.h \
		spDialog.h spDialogP.h spDialog_Xm.h \
		spText.h spTextP.h spText_Xm.h \
		spLabel.h spLabelP.h spLabel_Xm.h \
		spButton.h spButtonP.h spButton_Xm.h \
		spList.h spListP.h spList_Xm.h \
		spComboBox.h spComboBoxP.h spComboBox_Xm.h \
		spContainer.h spContainerP.h spContainer_Xm.h \
		spCanvas.h spCanvasP.h spCanvas_Xm.h \
		spSlider.h spSliderP.h spSlider_Xm.h \
		spMenu.h spMenuP.h spMenu_Xm.h \
		spMenuItem.h spMenuItemP.h spMenuItem_Xm.h \
		spDraw.h spDrawP.h spDraw_Xm.h \
		spGraphics.h spGraphicsP.h spGraphics_Xm.h \
		spTabBox.h spTabBoxP.h spTabBox_Xm.h \
		spToolBar.h spToolBarP.h spToolBar_Xm.h \
		spToolItem.h spToolItemP.h spToolItem_Xm.h \
		spStatusBar.h spStatusBarP.h spStatusBar_Xm.h \
		spDialogBox.h spDialogBoxP.h \
		spParamField.h spParamFieldP.h \
		spDial.h spDialP.h

include $(TOP)/lib/sp/lib.rules


