/*
 *	spComponent_Win.h
 */

#ifndef __SPCOMPONENT_WIN_H
#define __SPCOMPONENT_WIN_H

#include <windows.h>
#if defined(__CYGWIN__) || !defined(__CYGWIN32__)
#include <commctrl.h>
#include <commdlg.h>
#include <shlobj.h>
#endif

#include <sp/spComponentDefs.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef WM_APP
#define WM_APP 0x8000
#endif
    
#define SP_SUPPORT_MNEMONIC
    
#define SP_DEFAULT_SPACING 7
#define SP_DEFAULT_MARGIN 7
#define SP_DEFAULT_DIALOG_MARGIN 6
#define SP_DEFAULT_DIALOG_BUTTON_MARGIN 6
#define SP_DEFAULT_DIALOG_BUTTON_SPACING 7
#define SP_DEFAULT_BUTTON_WIDTH 88
#define SP_DEFAULT_BUTTON_HEIGHT 21
#define SP_DEFAULT_LABEL_WIDTH 88
#define SP_DEFAULT_LABEL_HEIGHT 20
#define SP_DEFAULT_TEXT_WIDTH 120
#define SP_DEFAULT_TEXT_HEIGHT 20
#define SP_DEFAULT_TEXT_AREA_WIDTH 200
#define SP_DEFAULT_TEXT_AREA_HEIGHT 200
#define SP_DEFAULT_LIST_WIDTH 120
#define SP_DEFAULT_LIST_HEIGHT 120
#define SP_DEFAULT_SLIDER_LENGTH 200
#define SP_DEFAULT_SLIDER_WIDTH 15
#define SP_DEFAULT_TRACKBAR_LENGTH SP_DEFAULT_SLIDER_LENGTH
#define SP_DEFAULT_HORIZONTAL_TRACKBAR_WIDTH 45
#define SP_DEFAULT_VERTICAL_TRACKBAR_WIDTH 50
#define SP_DEFAULT_MENU_BAR_HEIGHT 30
#define SP_DEFAULT_TOOL_ITEM_MARGIN 2
#define SP_DEFAULT_TOOL_ITEM_SPACING 0
#define SP_DEFAULT_TOOL_SEPARATOR_WIDTH 3
#define SP_DEFAULT_STATUS_BAR_HEIGHT 20
/*#define SP_DEFAULT_TAB_HEIGHT 25*/

#define SP_CONTAINER_TITLE_TOP_OFFSET 10
#define SP_CONTAINER_TITLE_LEFT_OFFSET 10
    
#define SP_DEFAULT_WINDOW_WIDTH 120
#define SP_DEFAULT_WINDOW_HEIGHT 90
    
#define SP_CALLBACK_BUFFER 16
    
#define SP_INIT_WINDOW_X_POS 30
#define SP_INIT_WINDOW_Y_POS 40
#define SP_WINDOW_X_INCR 15
#define SP_WINDOW_Y_INCR 25

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPCOMPONENT_WIN_H */
