#ifdef __cplusplus
extern "C" {
#endif

static spStringTable sp_string_table_c[] = {
    {SP_OK_LABEL_ID, "OK"},
    {SP_CANCEL_LABEL_ID, "Cancel"},
    {SP_YES_LABEL_ID, "Yes"},
    {SP_NO_LABEL_ID, "No"},
    {SP_RETRY_LABEL_ID, "Retry"},
    {SP_OPEN_LABEL_ID, "Open"},
    {SP_SAVE_LABEL_ID, "Save"},
    {SP_FILTER_LABEL_ID, "Filter"},
    {SP_APPLY_LABEL_ID, "Apply"},
    {SP_DIR_LIST_LABEL_ID, "Directories"},
    {SP_FILE_LIST_LABEL_ID, "Files"},
    {SP_FILE_NAME_LABEL_ID, "File Name"},
    {SP_FILE_TYPE_LABEL_ID, "File Type"},

    {SP_INFORMATION_TITLE_ID, "Information"},
    {SP_QUESTION_TITLE_ID, "Question"},
    {SP_WARNING_TITLE_ID, "Warning"},
    {SP_ERROR_TITLE_ID, "Error"},
    {SP_WORKING_TITLE_ID, "Working"},
    {SP_MESSAGE_TITLE_ID, "Message"},
    {SP_OPEN_TITLE_ID, "Open..."},
    {SP_SAVE_TITLE_ID, "Save As..."},
    {SP_DIR_SELECTION_TITLE_ID, "Select Directory..."},
    {SP_FILE_SELECTION_BUTTON_ID, "Select..."},
    {SP_DIR_SELECTION_BUTTON_ID, "Select..."},
    {SP_FONT_SELECTION_TITLE_ID, "Select Font..."},
    {SP_FONT_FAMILY_LABEL_ID, "Font Name:"},
    {SP_FONT_STYLE_LABEL_ID, "Style:"},
    {SP_FONT_STYLE_MEDIUM_LABEL_ID, "Medium"},
    {SP_FONT_STYLE_ITALIC_LABEL_ID, "Italic"},
    {SP_FONT_STYLE_OBLIQUE_LABEL_ID, "Oblique"},
    {SP_FONT_STYLE_BOLD_LABEL_ID, "Bold"},
    {SP_FONT_STYLE_BOLD_ITALIC_LABEL_ID, "Bold Italic"},
    {SP_FONT_STYLE_BOLD_OBLIQUE_LABEL_ID, "Bold Oblique"},
    {SP_FONT_STYLE_LIGHT_LABEL_ID, "Light"},
    {SP_FONT_STYLE_LIGHT_ITALIC_LABEL_ID, "Light Italic"},
    {SP_FONT_STYLE_LIGHT_OBLIQUE_LABEL_ID, "Light Oblique"},
    {SP_FONT_STYLE_BLACK_LABEL_ID, "Black"},
    {SP_FONT_STYLE_BLACK_ITALIC_LABEL_ID, "Black Italic"},
    {SP_FONT_STYLE_BLACK_OBLIQUE_LABEL_ID, "Black Oblique"},
    {SP_FONT_SIZE_LABEL_ID, "Size:"},
    {SP_FONT_SAMPLE_LABEL_ID, "Sample"},
    {SP_FONT_SAMPLE_CONTENTS_C_ID, "AaBbYyZz"},
    {SP_FONT_SAMPLE_CONTENTS_ID, "AaBbYyZz"},
    {SP_FONT_CHARSET_LABEL_ID, "Character Set:"},
    {SP_COLOR_SELECTION_TITLE_ID, "Select Color..."},
    
    {SP_QUIT_QUESTION_TITLE_ID, "Quit"},
    {SP_QUIT_QUESTION_MESSAGE_ID, "Really quit?"},
    {SP_CLOSE_QUESTION_TITLE_ID, "Close"},
    {SP_CLOSE_QUESTION_MESSAGE_ID, "Relly close window?"},
    {SP_MODIFY_QUIT_QUESTION_TITLE_ID, "Quit"},
    {SP_MODIFY_QUIT_QUESTION_MESSAGE_ID, "Modified files exist.\nQuit anyway?"},
    {SP_MODIFY_CLOSE_QUESTION_TITLE_ID, "Close"},
    {SP_MODIFY_CLOSE_QUESTION_MESSAGE_ID, "Modified files exist.\nClose anyway?"},
    {SP_OVERWRITE_PROMPT_TITLE_ID, "Overwrite"},
    {SP_OVERWRITE_PROMPT_MESSAGE_ID, "Overwrite existing file %s?"},
    {SP_NOT_FOUND_FILE_MESSAGE_ID, "No such file."},
    {SP_NOT_FOUND_PATH_MESSAGE_ID, "No such directory."},
    {SP_NOT_DIR_MESSAGE_ID, "Please select a directory."},
    
    {SP_FILE_MENU_LABEL_ID, "&File"},
    {SP_EDIT_MENU_LABEL_ID, "&Edit"},
    {SP_VIEW_MENU_LABEL_ID, "&View"},
    {SP_HELP_MENU_LABEL_ID, "&Help"},

    {SP_NEW_MENU_LABEL_ID, "&New"},
    {SP_OPEN_MENU_LABEL_ID, "&Open..."},
    {SP_CLOSE_MENU_LABEL_ID, "&Close"},
    {SP_SAVE_MENU_LABEL_ID, "&Save"},
    {SP_SAVE_AS_MENU_LABEL_ID, "Save &As..."},
    {SP_PAGE_SETUP_MENU_LABEL_ID, "Page S&etup..."},
    {SP_PRINT_MENU_LABEL_ID, "&Print"},
    {SP_QUIT_MENU_LABEL_ID, "&Quit"},
    
    {SP_UNDO_MENU_LABEL_ID, "&Undo"},
    {SP_REDO_MENU_LABEL_ID, "&Redo"},
    {SP_CUT_MENU_LABEL_ID, "Cu&t"},
    {SP_COPY_MENU_LABEL_ID, "&Copy"},
    {SP_PASTE_MENU_LABEL_ID, "&Paste"},
    {SP_CLEAR_MENU_LABEL_ID, "C&lear"},
    {SP_DELETE_MENU_LABEL_ID, "&Delete"},
    {SP_SELECT_ALL_MENU_LABEL_ID, "Select &All"},
    
    {SP_ABOUT_MENU_LABEL_ID, "&About..."},
    {SP_ABOUT_LABEL_ID, "About This Software"},
    
    {SP_NULL_ID, ""},
};

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif
