#if (defined(_WIN32) && !defined(__CYGWIN32__)) || (defined(MACOS) && !defined(MACOSX))
#define sp_string_table_eucjp sp_string_table_sjis
#else

#ifdef __cplusplus
extern "C" {
#endif

static spStringTable sp_string_table_eucjp[] = {
    {SP_OK_LABEL_ID, "OK"},
    {SP_CANCEL_LABEL_ID, "󥻥"},
    {SP_YES_LABEL_ID, "Ϥ"},
    {SP_NO_LABEL_ID, ""},
    {SP_RETRY_LABEL_ID, "ƻ"},
    {SP_OPEN_LABEL_ID, ""},
    {SP_SAVE_LABEL_ID, "¸"},
    {SP_FILTER_LABEL_ID, "ե륿"},
    {SP_APPLY_LABEL_ID, "Ŭ"},
    {SP_DIR_LIST_LABEL_ID, "ǥ쥯ȥ"},
    {SP_FILE_LIST_LABEL_ID, "ե"},
    {SP_FILE_NAME_LABEL_ID, "ե̾"},
    {SP_FILE_TYPE_LABEL_ID, "եμ"},

    {SP_INFORMATION_TITLE_ID, ""},
    {SP_QUESTION_TITLE_ID, ""},
    {SP_WARNING_TITLE_ID, "ٹ"},
    {SP_ERROR_TITLE_ID, "顼"},
    {SP_WORKING_TITLE_ID, ""},
    {SP_MESSAGE_TITLE_ID, "å"},
    {SP_OPEN_TITLE_ID, "..."},
    {SP_SAVE_TITLE_ID, "̾դ¸..."},
    {SP_DIR_SELECTION_TITLE_ID, "ǥ쥯ȥ..."},
    {SP_FILE_SELECTION_BUTTON_ID, "..."},
    {SP_DIR_SELECTION_BUTTON_ID, "..."},
    {SP_FONT_SELECTION_TITLE_ID, "եȤ..."},
    {SP_FONT_FAMILY_LABEL_ID, "ե̾:"},
    {SP_FONT_STYLE_LABEL_ID, ":"},
    {SP_FONT_STYLE_MEDIUM_LABEL_ID, "ɸ"},
    {SP_FONT_STYLE_ITALIC_LABEL_ID, "å"},
    {SP_FONT_STYLE_OBLIQUE_LABEL_ID, ""},
    {SP_FONT_STYLE_BOLD_LABEL_ID, ""},
    {SP_FONT_STYLE_BOLD_ITALIC_LABEL_ID, " å"},
    {SP_FONT_STYLE_BOLD_OBLIQUE_LABEL_ID, " "},
    {SP_FONT_STYLE_LIGHT_LABEL_ID, "ٻ"},
    {SP_FONT_STYLE_LIGHT_ITALIC_LABEL_ID, "ٻ å"},
    {SP_FONT_STYLE_LIGHT_OBLIQUE_LABEL_ID, "ٻ "},
    {SP_FONT_STYLE_BLACK_LABEL_ID, ""},
    {SP_FONT_STYLE_BLACK_ITALIC_LABEL_ID, " å"},
    {SP_FONT_STYLE_BLACK_OBLIQUE_LABEL_ID, " "},
    {SP_FONT_SIZE_LABEL_ID, ":"},
    {SP_FONT_SAMPLE_LABEL_ID, "ץ"},
    {SP_FONT_SAMPLE_CONTENTS_C_ID, "AaBbYyZz"},
    {SP_FONT_SAMPLE_CONTENTS_ID, "Aa"},
    {SP_FONT_CHARSET_LABEL_ID, "ʸå:"},
    {SP_COLOR_SELECTION_TITLE_ID, "..."},
    
    {SP_QUIT_QUESTION_TITLE_ID, "λ"},
    {SP_QUIT_QUESTION_MESSAGE_ID, "λޤ"},
    {SP_CLOSE_QUESTION_TITLE_ID, "Ĥ"},
    {SP_CLOSE_QUESTION_MESSAGE_ID, "Ĥޤ"},
    {SP_MODIFY_QUIT_QUESTION_TITLE_ID, "λ"},
    {SP_MODIFY_QUIT_QUESTION_MESSAGE_ID, "ե뤬ѹƤޤ\nλޤ"},
    {SP_MODIFY_CLOSE_QUESTION_TITLE_ID, "Ĥ"},
    {SP_MODIFY_CLOSE_QUESTION_MESSAGE_ID, "ե뤬ѹƤޤ\nĤޤ"},
    {SP_OVERWRITE_PROMPT_TITLE_ID, ""},
    {SP_OVERWRITE_PROMPT_MESSAGE_ID, "%s ϴ¸ߤޤ\n񤭤ޤ"},
    {SP_NOT_FOUND_FILE_MESSAGE_ID, "Τ褦ʥեϤޤ"},
    {SP_NOT_FOUND_PATH_MESSAGE_ID, "Τ褦ʥǥ쥯ȥϤޤ"},
    {SP_NOT_DIR_MESSAGE_ID, "ǥ쥯ȥꤷƲ"},
    
    {SP_FILE_MENU_LABEL_ID, "ե(&F)"},
    {SP_EDIT_MENU_LABEL_ID, "Խ(&E)"},
    {SP_VIEW_MENU_LABEL_ID, "ɽ(&V)"},
    {SP_HELP_MENU_LABEL_ID, "إ(&H)"},
    
    {SP_NEW_MENU_LABEL_ID, "(&N)"},
    {SP_OPEN_MENU_LABEL_ID, "(&O)..."},
    {SP_CLOSE_MENU_LABEL_ID, "Ĥ(&C)"},
    {SP_SAVE_MENU_LABEL_ID, "¸(&S)"},
    {SP_SAVE_AS_MENU_LABEL_ID, "̾դ¸(&A)..."},
    {SP_PAGE_SETUP_MENU_LABEL_ID, "ѻ(&e)..."},
    {SP_PRINT_MENU_LABEL_ID, "(&P)"},
    {SP_QUIT_MENU_LABEL_ID, "λ(&Q)"},
    
    {SP_UNDO_MENU_LABEL_ID, "ä(&U)"},
    {SP_REDO_MENU_LABEL_ID, "ľ(&R)"},
    {SP_CUT_MENU_LABEL_ID, "ڤ(&t)"},
    {SP_COPY_MENU_LABEL_ID, "ԡ(&C)"},
    {SP_PASTE_MENU_LABEL_ID, "Žդ(&P)"},
    {SP_CLEAR_MENU_LABEL_ID, "ꥢ(&l)"},
    {SP_DELETE_MENU_LABEL_ID, "(&D)"},
    {SP_SELECT_ALL_MENU_LABEL_ID, "(&A)"},
    
    {SP_ABOUT_MENU_LABEL_ID, "ΥեȤˤĤ(&A)..."},
    {SP_ABOUT_LABEL_ID, "ΥեȤˤĤ"},
    
    {SP_NULL_ID, ""},
};

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif
