Summary: Multi-platform GUI toolkit
Name: spComponent
Version: 0.6.5
Release: 3
Copyright: distributable
Distribution: (none)
Vendor: (none)
Group: Libraries
Source: spComponent-0.6.5-3.tgz
#Patch: 
Packager: Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
URL: http://www.itakura.nuee.nagoya-u.ac.jp/people/banno/spLibs/index.html
BuildRoot: /var/tmp/spComponent-root
Requires: spBase >= 0.8.9

%description 
spComponent is a GUI toolkit working on multiple platforms written in
C. Using this library, you can create excellent GUI easily. Currently,
spComponent supports Windows98/2000/XP, MacOS 8/9/X, Motif, and gtk+.

%changelog
* Fri Mar 22 2002  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.6.5

* Tue Mar 13 2001  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.6.4

* Thu Jan  4 2001  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.6.3

* Sun Oct  8 2000  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.6.2

* Sun Jun 18 2000  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.6.1

* Thu Aug 27 1999  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.5.4

* Thu Apr 15 1999  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- version 0.4.0

* Thu Feb 18 1999  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- 1st release

%prep
%setup
#%patch -p1
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

%build

%install
cd spComponent
make TOP=/usr clean
make TOP=/usr SPDESTROOT=$RPM_BUILD_ROOT/usr install
make TOP=/usr SPDESTROOT=$RPM_BUILD_ROOT/usr install.hdr
if [ -d /usr/include/Xm -o -d /usr/X11R6/include/Xm ]; then
    make USE_MOTIF=y TOP=/usr clean
    make USE_MOTIF=y TOP=/usr SPDESTROOT=$RPM_BUILD_ROOT/usr install
    make USE_MOTIF=y TOP=/usr SPDESTROOT=$RPM_BUILD_ROOT/usr install.hdr
fi
cd ..
if [ -f $RPM_BUILD_ROOT/usr/lib/libspc-gtk.linux-glibc.a ]; then
    cd $RPM_BUILD_ROOT/usr/lib
    ln -s libspc-gtk.linux-glibc.a libspc-gtk.linux.a
fi
if [ -f $RPM_BUILD_ROOT/usr/lib/libspc.linux-glibc.a ]; then
    cd $RPM_BUILD_ROOT/usr/lib
    ln -s libspc.linux-glibc.a libspc.linux.a
fi

%clean
rm -fr $RPM_BUILD_ROOT

%pre
%post
%preun
%postun

%files 
%doc spComponent/README* spComponent/CHANGES* spComponent/LICENSE*
%doc spComponent/BUGS* spComponent/TODO* spComponent/FILES* 
/usr/lib/*.a
/usr/include/sp/*.h
