#   File:       output_wav.dll.make
#   Target:     output_wav.dll
#   Created:    Monday, August 7, 2000 09:50:15 PM


MAKEFILE        = output_wav.dll.make
MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified

SpTopDir        = :::
SpBaseDir  	= {SpTopDir}spBase:
SpAudioDir      = {SpTopDir}spAudio:
SpLibDir  	= {SpTopDir}lib:
SpPluginDir  	= {SpTopDir}lib:sp:plugins:

ObjDir          = :
Includes        =  
				  -i {SpAudioDir} 
				  -i {SpBaseDir}

Sym-PPC         = -sym off

PPCCOptions     = {Includes} {Sym-PPC} -includes unix -enum int -j0


### Source Files ###

SrcFiles        =  
				  output_wav.c


### Object Files ###

ObjFiles-PPC    =  
				  "{ObjDir}output_wav.c.x"


### Libraries ###

LibFiles-PPC    =  
				  "{SpLibDir}spAudio-ppc.o" 
				  "{SpLibDir}spBase-ppc.o" 
				  "{SharedLibraries}ThreadsLib" 
				  "{SharedLibraries}InterfaceLib" 
				  "{SharedLibraries}StdCLib" 
				  "{SharedLibraries}MathLib" 
				  "{PPCLibraries}StdCRuntime.o" 
				  "{PPCLibraries}PPCCRuntime.o" 
				  "{PPCLibraries}PPCToolLibs.o"


### Default Rules ###

.c.x    .c  {MondoBuild}
	{PPCC} {depDir}{default}.c -o {targDir}{default}.c.x {PPCCOptions}


### Build Rules ###

output_wav.dll    {ObjFiles-PPC} {LibFiles-PPC} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-PPC} 
		{LibFiles-PPC} 
		{Sym-PPC} 
		-mf -d 
		-t 'shlb' 
		-c '????' 
		-xm s; 
	Duplicate -y {Targ} {SpPluginDir}



### Required Dependencies ###

"{ObjDir}output_wav.c.x"    output_wav.c


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .x 
		{Includes} 
		{SrcFiles}


