/*
 *	swAnalysisDialog.h
 */

#ifndef __SWANALYSISDIALOG_H
#define __SWANALYSISDIALOG_H

#include "swWindow.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifdef SW_USE_ANALYSIS
    
typedef struct _swAnalysisDialog {
    spComponent window;
    spComponent analysis_type_combo;
    spComponent window_type_combo;
    spComponent fft_length_combo;
    spComponent max_fft_length_combo;
    spComponent lifter_combo;
    
    spComponent new_window_button;
    spComponent linear_spectrum_button;
    spComponent normalize_spectrum_button;
    
    swConfig config;
} *swAnalysisDialog;

extern swAnalysisDialog swCreateAnalysisDialog(swConfig config);
extern void swPopupAnalysisDialogCB(spComponent component, swWindow window);
extern void swPopdownAnalysisDialogCB(spComponent component, swAnalysisDialog analysis_dialog);

#endif
    
#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SWANALYSISDIALOG_H */
