#ifdef __cplusplus
extern "C" {
#endif

spStringTable sw_string_table[] = {
    {SW_MENU_FILE_LABEL_ID, "&File"},
    {SW_MENU_OPEN_LABEL_ID, "&Open..."},
    {SW_MENU_SAVE_LABEL_ID, "&Save"},
    {SW_MENU_CLOSE_LABEL_ID, "&Close"},
	{SW_MENU_RECORD_LABEL_ID, "&Record"},
    {SW_MENU_QUIT_LABEL_ID, "E&xit"},
    
    {SW_MENU_OPEN_NEW_LABEL_ID, "Open &New..."},
    {SW_MENU_SAVE_AS_LABEL_ID, "Save &As..."},
    
    {SW_MENU_OPEN_DESC_ID, "Open a file in the current window"},
    {SW_MENU_OPEN_NEW_DESC_ID, "Open a file in the new window"},
    {SW_MENU_SAVE_DESC_ID, "Save this file"},
    {SW_MENU_SAVE_AS_DESC_ID, "Save a copy of this file"},

	{SW_MENU_RECORD_START_ID, "Start recording"},
	{SW_MENU_RECORD_STOP_ID, "Stop recording"},
    
    {SW_MENU_PAGE_LABEL_ID, "&Page"},
    {SW_MENU_FORWARD_LABEL_ID, "&Forward"},
    {SW_MENU_BACKWARD_LABEL_ID, "&Backward"},
    {SW_MENU_GO_HEAD_LABEL_ID, "&Head"},
    {SW_MENU_GO_TAIL_LABEL_ID, "&Tail"},
    {SW_MENU_NEXT_WINDOW_LABEL_ID, "&Next Window"},
    {SW_MENU_PREV_WINDOW_LABEL_ID, "&Previous Window"},
    {SW_MENU_ALIGN_WINDOW_LABEL_ID, "A&lignment"},
    {SW_MENU_SELECT_REGION_LABEL_ID, "&Select"},
    {SW_MENU_SELECT_ALL_REGION_LABEL_ID, "Select Same &Region"},
    {SW_MENU_SELECT_ALL_LABEL_ID, "Select &All"},
    {SW_MENU_SELECT_NEXT_CHANNEL_LABEL_ID, "Select Next &Channel"},
    {SW_MENU_SELECT_FROM_HERE_LABEL_ID, "Select Fro&m Here"},
    {SW_MENU_SELECT_TO_HERE_LABEL_ID, "Select T&o Here"},
    
    {SW_MENU_VIEW_LABEL_ID, "&View"},
    {SW_MENU_ZOOM_IN_LABEL_ID, "Zoom &In"},
    {SW_MENU_ZOOM_OUT_LABEL_ID, "Zoom &Out"},
    {SW_MENU_ZOOM_FULL_OUT_LABEL_ID, "Zoom &Full Out"},
    {SW_MENU_ZOOM_REGION_LABEL_ID, "Zoom &Region"},
    {SW_MENU_DISPLAY_INFO_AREA_LABEL_ID, "&Display Information Area"},
    {SW_MENU_DRAW_LABEL_LABEL_ID, "Draw &Labels"},
    
    {SW_MENU_TIME_FORMAT_LABEL_ID, "&Time Format"},
    {SW_MENU_TIME_FORMAT_SEC_LABEL_ID, "&Second"},
    {SW_MENU_TIME_FORMAT_MSEC_LABEL_ID, "&Milli Second"},
    {SW_MENU_TIME_FORMAT_POINT_LABEL_ID, "&Point"},
    {SW_MENU_TIME_FORMAT_SEPARATED_SEC_LABEL_ID, "Sepa&rated Second"},
    
    {SW_MENU_PLAY_DESC_ID, "Play the selected region"},
    {SW_MENU_LOOP_PLAY_DESC_ID, "Enable loop play of the selected region"},
    {SW_MENU_SYNC_PLAY_DESC_ID, "Enable synchronous play of the selected region"},
    {SW_MENU_PLAY_STOP_DESC_ID, "Stop processing"},
    {SW_MENU_FORWARD_DESC_ID, "Forward page"},
    {SW_MENU_BACKWARD_DESC_ID, "Backward page"},
    {SW_MENU_GO_HEAD_DESC_ID, "Go to the head"},
    {SW_MENU_GO_TAIL_DESC_ID, "Go to the tail"},
    {SW_MENU_ZOOM_IN_DESC_ID, "Zoom in"},
    {SW_MENU_ZOOM_OUT_DESC_ID, "Zoom out"},
    
    {SW_MENU_EDIT_LABEL_ID, "&Edit"},
    {SW_MENU_UNDO_LABEL_ID, "&Undo"},
    {SW_MENU_REDO_LABEL_ID, "&Redo"},
    {SW_MENU_CUT_LABEL_ID, "&Cut"},
    {SW_MENU_COPY_LABEL_ID, "Cop&y"},
    {SW_MENU_CLIPBOARD_WINDOW_LABEL_ID, "C&lipboard Window..."},
    {SW_MENU_CROP_LABEL_ID, "C&rop"},
    {SW_MENU_DELETE_LABEL_ID, "&Delete"},
    {SW_MENU_ERASE_LABEL_ID, "Era&se"},
    {SW_MENU_EXTRACT_LABEL_ID, "E&xtract"},
    {SW_MENU_EXTRACT_AUTOSAVE_LABEL_ID, "Extract and &Autosave"},
    {SW_MENU_INVERT_LABEL_ID, "In&vert"},
    {SW_MENU_AMPLIFY_LABEL_ID, "A&mplify..."},
    {SW_MENU_NORMALIZE_LABEL_ID, "&Normalize..."},
    {SW_MENU_FADE_IN_LABEL_ID, "Fade &In"},
    {SW_MENU_FADE_OUT_LABEL_ID, "Fade &Out"},
    {SW_MENU_CHANNEL_SWAP_LABEL_ID, "Channel S&wap"},
    
    {SW_MENU_MAXIMIZE_LABEL_ID, "Maximize..."},
    {SW_MENU_SAMP_RATE_CONV_LABEL_ID, "Sampling &Frequency Conversion..."},
    {SW_MENU_CHANNEL_CONV_LABEL_ID, "C&hannel Conversion..."},
    {SW_MENU_BIT_CONV_LABEL_ID, "&Bits/Sample Conversion..."},
    {SW_MENU_MONAURALIZE_LABEL_ID, "Monaurali&ze"},
    
    {SW_MENU_CLIPBOARD_LABEL_ID, "&Clipboard"},
    {SW_MENU_PASTE_LABEL_ID, "&Paste"},
    {SW_MENU_INSERT_LABEL_ID, "&Insert"},
    {SW_MENU_CAT_LABEL_ID, "Concatenate to &Bottom"},
    {SW_MENU_CATTOP_LABEL_ID, "Concatenate to &Top"},
    {SW_MENU_MIX_LABEL_ID, "&Mix"},
    {SW_MENU_REPLACE_LABEL_ID, "&Replace"},
    {SW_MENU_INSERT_PAUSE_LABEL_ID, "Insert Pa&use..."},
    {SW_MENU_CHANGE_VALUE_LABEL_ID, "Change &Value..."},
    
    {SW_MENU_HELP_LABEL_ID, "&Help"},
    {SW_MENU_INFO_LABEL_ID, "&About"},

    {SW_MENU_SOUND_LABEL_ID, "&Sound"},
    
    {SW_MENU_PLAY_LABEL_ID, "&Play Selected Region"},
    {SW_MENU_PLAY_WINDOW_LABEL_ID, "Play &Window Contents"},
    {SW_MENU_PLAY_FILE_LABEL_ID, "Play En&tire File"},
    {SW_MENU_PLAY_STOP_LABEL_ID, "&Stop Processing"},
    {SW_MENU_LOOP_PLAY_LABEL_ID, "Enable &Loop Play"},
    {SW_MENU_SYNC_PLAY_LABEL_ID, "Enable S&ynchronous Play"},
    
    {SW_MENU_ANALYSIS_PREFERENCE_LABEL_ID, "Preference for &Analysis..."},
    {SW_MENU_ANALYSIS_LABEL_ID, "&Analysis"},
    {SW_MENU_ANALYSIS_REGION_LABEL_ID, "Analysis of Selected Region"},
    {SW_MENU_ANALYSIS_WIDE_LABEL_ID, "&Wide Band Analysis"},
    {SW_MENU_ANALYSIS_NARROW_LABEL_ID, "&Narrow Band Analysis"},
    
    {SW_MENU_PREFERENCE_LABEL_ID, "&Preference..."},
    {SW_MENU_INFO_DIALOG_LABEL_ID, "&File Information..."},

    {SW_MENU_LABEL_LABEL_ID, "&Label"},
    {SW_MENU_OPEN_LABEL_LABEL_ID, "&Open Label..."},
    {SW_MENU_SAVE_LABEL_LABEL_ID, "&Save Label"},
    {SW_MENU_SAVE_AS_LABEL_LABEL_ID, "Save Label &As ..."},
    {SW_MENU_CLEAR_LABEL_LABEL_ID, "&Clear Label"},
    {SW_MENU_OPEN_REGION_LABEL_LABEL_ID, "&Open Region Label..."},
    {SW_MENU_SAVE_REGION_LABEL_LABEL_ID, "&Save Region Label"},
    {SW_MENU_SAVE_AS_REGION_LABEL_LABEL_ID, "Save Region Label &As ..."},
    {SW_MENU_CLEAR_REGION_LABEL_LABEL_ID, "&Clear Region Label"},
    
    {SW_MENU_INSERT_SIMPLE_LABEL_LABEL_ID, "Insert &Simple Label"},
    {SW_MENU_INSERT_VALUE_LABEL_LABEL_ID, "Insert Label with &Value"},
    {SW_MENU_INSERT_LABEL_LABEL_ID, "&Insert Label..."},
    {SW_MENU_CHANGE_LABEL_LABEL_ID, "&Change Label..."},
    {SW_MENU_ERASE_LABEL_LABEL_ID, "&Erase Label"},
    {SW_MENU_ERASE_LABEL_REGION_LABEL_ID, "Erase Label in Selected Re&gion"},
    {SW_MENU_SELECT_BETWEEN_LABELS_LABEL_ID, "Select &Between Labels"},
    {SW_MENU_SET_REGION_LABEL_LABEL_ID, "Set &Region Label"},
    {SW_MENU_SET_REGION_LABEL_AS_REGION_LABEL_ID, "Set Region Label &As Current Region"},
    {SW_MENU_CAT_REGION_LABELS_LABEL_ID, "C&oncatenate Region Labels"},
    {SW_MENU_DIVIDE_REGION_LABEL_LABEL_ID, "&Divide Region Label"},
    
    {SW_OPEN_DIALOG_TITLE_ID, "Open..."},
    {SW_SAVE_DIALOG_TITLE_ID, "Save As..."},
    
    {SW_ERROR_TITLE_ID, "Error"},
    {SW_INFO_TITLE_ID, "About"},
    
    {SW_EDIT_ERROR_MESSAGE_ID, "Can't edit this file."},
    {SW_REGION_ERROR_MESSAGE_ID, "Please set a region."},
    {SW_DELETE_WHOLE_ERROR_MESSAGE_ID, "Can't delete the whole file."},
    {SW_PLAY_ERROR_MESSAGE_ID, "Can't play this file."},
    {SW_PLAY_LONG_ERROR_MESSAGE_ID, "The playback region is too long."},
    {SW_LOOP_PLAY_SHORT_ERROR_MESSAGE_ID, "The playback region is too short for loop."},
    
    {SW_CB_NOT_FOUND_ERROR_MESSAGE_ID, "Can't find clipboard contents."},
    {SW_CB_PROCESSING_ERROR_MESSAGE_ID, "The clipboard is in use.\nPlease wait until the processing is completed."},
    {SW_CB_DIFFERENT_CHANNEL_ERROR_MESSAGE_ID, "The number of channels is different from clipboard's one."},
    {SW_CB_DIFFERENT_SAMP_RATE_ERROR_MESSAGE_ID, "The sampling frequency is different from clipboard's one."},
    
    {SW_ANALYSIS_ERROR_MESSAGE_ID, "Can't analyze this file."},
    {SW_ANALYSIS_LONG_ERROR_MESSAGE_ID, "The analysis region is too long."},

    {SW_OPEN_ERROR_MESSAGE_ID, "Can't open file: %s"},
    {SW_SAVE_ERROR_MESSAGE_ID, "Can't save file."},
    {SW_PLUGIN_ERROR_MESSAGE_ID, "Can't load plugin."},
    {SW_PLUGIN_NOT_FOUND_MESSAGE_ID, "Can't save file in this format.\nSelect another format."},
    {SW_FORMAT_NOT_SUPPORTED_MESSAGE_ID, "The format is probably not supported."},
    {SW_SAVE_FIRST_ERROR_MESSAGE_ID, "You have to save this file first."},
    {SW_FILE_NOT_EXIST_ERROR_MESSAGE_ID, "Can't find file: %s"},
	 
    {SW_SUFFIX_ERROR_MESSAGE_ID, "Can't find the suitable file format from this suffix.\nPlease use the other suffix."},
    {SW_SAMP_BIT_ERROR_MESSAGE_ID, "The bits/sample value is not supported for the format."},
    {SW_SAMP_RATE_ERROR_MESSAGE_ID, "The sampling frequency is not supported for the format."},
    {SW_NUM_CHANNEL_ERROR_MESSAGE_ID, "The number of channels is not supported for the format."},
    {SW_PARAMETER_ERROR_MESSAGE_ID, "The value of `%s' is invalid."},
    {SW_MULTIPLE_INSTANCE_ERROR_MESSAGE_ID, "Only single file can be operated for this format simultaneously."},
    
    {SW_SAVE_CHANGES_QUESTION_TITLE_ID, "Save Changes"},
    {SW_SAVE_CHANGES_QUESTION_MESSAGE_ID, "Do you want to save changes to \n\"%s\"?"},
    {SW_SAVE_ERROR_CLOSE_QUESTION_MESSAGE_ID, "Can't save this file.\nClose this window anyway?"},

    {SW_ERASE_LABEL_QUESTION_TITLE_ID, "Erase Label"},
    {SW_ERASE_LABEL_QUESTION_MESSAGE_ID, "Really erase the label?\nYou can't undo this processing."},
    
    {SW_STOP_EDIT_QUESTION_MESSAGE_ID, "Really stop editing?"},
    {SW_CLEAR_LABEL_QUESTION_MESSAGE_ID, "Really clear labels?\nYou can't undo this processing."},
    {SW_AUTOSAVE_CLEAR_LABEL_QUESTION_MESSAGE_ID,
	 "Region labels will be cleared before autosaving.\nContinue?\nIf you don't want to do, please save labels before continuing."},
    {SW_TIME_FORMAT_ERROR_MESSAGE_ID, "The time format is wrong."},
    {SW_FIND_DATA_ERROR_MESSAGE_ID, "Can't find data."},
    {SW_FIND_LABEL_NEAR_CURSOR_ERROR_MESSAGE_ID, "Can't find labels near the cursor."},
    {SW_FIND_LABEL_REGION_ERROR_MESSAGE_ID, "Can't find labels in the selected region."},
    {SW_FIND_LABEL_ERROR_MESSAGE_ID, "Can't find labels."},
    {SW_MAXIMUM_VALUE_TOO_SMALL_ERROR_MESSAGE_ID, "Maximum value is too small."},
    
    {SW_NEED_RESTART_WARNING_MESSAGE_ID, "This setting will take effect after restarting."},
    {SW_OVERFLOW_WARNING_MESSAGE_ID, "Overflow may happen. \nContinue?"},
    {SW_OVERFLOW_HAPPENED_WARNING_MESSAGE_ID, "Overflow happened."},
    {SW_ASSUME_FLOAT_NORMALIZED_WARNING_MESSAGE_ID, 
	"Maximum value of floating value is assumed to be 1.0.\nContinue?"},
    {SW_SAMP_RATE_CHANGED_WARNING_MESSAGE_ID,
	 "The converted sampling frequency isn't accurate.\nThe sampling frequency is: %.2f"},
    {SW_PROCESSING_WARNING_MESSAGE_ID, "This operation is not allowed while processing."},
    
    //{SW_INFO_MESSAGE_ID, "spwave version %s\nCopyright(C) Hideki Banno\nE-mail: banno@itakura.nuee.nagoya-u.ac.jp"},
	{SW_INFO_MESSAGE_ID,
		"spwave version 0.6.9\nCopyright(C) Hideki Banno\nE-mail: banno@itakura.nuee.nagoya-u.ac.jp\n\nRecord module added by Chien-Wen Danny Su"},

    {SW_FORMAT_TITLE_ID, "Select Format"},
    {SW_SAMP_RATE_LABEL_ID, "Sampling Frequency"},
    {SW_FORMAT_LABEL_ID, "File Format"},
    {SW_CHANNEL_LABEL_ID, "Number of Channel"},
    {SW_BIT_LABEL_ID, "Bits/Sample"},
    {SW_VALUE_LABEL_ID, "Value"},
    
    {SW_NORMAL_LABEL_LABEL_ID, "Normal Label"},
    {SW_REGION_LABEL_LABEL_ID, "Region Label"},
    
    {SW_UPDATE_LABEL_LABEL_ID, "Update"},
    {SW_SELECT_LABEL_LABEL_ID, "Select"},
    {SW_EDIT_LABEL_LABEL_ID, "Edit"},
    {SW_ERASE_LABEL_LABEL_ID, "Erase"},
    {SW_CAT_LABEL_LABEL_ID, "Concatenate"},
    
    {SW_AMPLIFY_DIALOG_TITLE_ID, "Amplify"},
    {SW_AMPLIFY_RATE_LABEL_ID, "Amplify Rate"},
    {SW_AMPLIFY_DB_LABEL_ID, "Rate in Decibel"},

    {SW_MAXIMIZE_DIALOG_TITLE_ID, "Maximize"},
    {SW_MAXIMIZE_RATE_LABEL_ID, "Maximize Rate"},
    {SW_MAXIMIZE_DB_LABEL_ID, "Rate in Decibel"},
    
    {SW_SAMP_RATE_CONV_DIALOG_TITLE_ID, "Sampling Frequency Conversion"},
    {SW_CHANNEL_CONV_DIALOG_TITLE_ID, "Channel Conversion"},
    {SW_BIT_CONV_DIALOG_TITLE_ID, "Bits/Sample Conversion"},
    {SW_FLOAT_NORMALIZED_LABEL_ID, "Assume that float value is normalized from -1 to 1"},
    {SW_INSERT_PAUSE_DIALOG_TITLE_ID, "Insert Pause"},
    {SW_PAUSE_LABEL_ID, "Pause Length"},
    {SW_CHANGE_VALUE_DIALOG_TITLE_ID, "Change Value"},
    
    {SW_SFC_CUTOFF_LABEL_ID, "Normalized Cutoff"},
    {SW_SFC_SIDELOBE_LABEL_ID, "Sidelobe"},
    {SW_SFC_TRANSITION_LABEL_ID, "Normalized Transition"},
    {SW_SFC_GAIN_LABEL_ID, "Gain"},
    {SW_SFC_TOLERANCE_LABEL_ID, "Tolerance"},
    {SW_SFC_BUFFER_LENGTH_LABEL_ID, "Buffer Length"},
    
    {SW_PREFERENCE_TITLE_ID, "Preference"},
    {SW_USE_DEFAULT_FORMAT_LABEL_ID, "Use the default format when reading"},
    
    {SW_FILE_TAB_LABEL_ID, "File"},
    {SW_LOOK_TAB_LABEL_ID, "Look"},
    {SW_SOUND_TAB_LABEL_ID, "Sound"},
    {SW_LABEL_TAB_LABEL_ID, "Label"},
    {SW_AUTOSAVE_TAB_LABEL_ID, "Autosave"},
    
    {SW_LOOK_LIKE_LABEL_ID, "Look"},
    {SW_LOOK_LIKE_DIMENSION_ID, "like"},
    {SW_WINDOW_SIZE_LABEL_ID, "Window size"},
    {SW_USE_PLAY_COMMAND_LABEL_ID, "Use the play command forcedly"},
    {SW_PLAY_COMMAND_LABEL_ID, "Play command"},
    {SW_BUFFER_SIZE_LABEL_ID, "Audio buffer size"},
    {SW_PLAY_DRAW_LABEL_ID, "Draw a cursor on playing"},
    {SW_USE_LOOP_PLAY_LABEL_ID, "Use loop play as default"},
    {SW_USE_SYNC_PLAY_LABEL_ID, "Use synchronous play as default"},
    {SW_USE_THREAD_LABEL_ID, "Use threads for processing"},
    {SW_USE_LOWLEVEL_THREAD_LABEL_ID, "Use low level threads"},
    {SW_ALT_CTRL_SWAP_LABEL_ID, "Swap Alt key and Ctrl key of shortcuts"},
    {SW_USE_TOOL_BAR_LABEL_ID, "Use a tool bar"},
    {SW_DISPLAY_METER_LABEL_ID, "Display a level meter"},
    {SW_DRAW_SELECTION_TIMES_LABEL_ID, "Draw times of a selected region"},
    {SW_DRAW_SELECTION_LENGTH_LABEL_ID, "Draw a length of a selected region"},
    {SW_DRAW_LABEL_LABEL_ID, "Draw labels"},
    {SW_DRAW_SCALE_LABEL_ID, "Draw a scale"},
    {SW_DRAW_GRID_LABEL_ID, "Draw a grid"},
    
    {SW_DISPLAY_INFO_AREA_LABEL_ID, "Display the information area as default"},
    {SW_DISPLAY_FREQ_INFO_AREA_LABEL_ID, "Display the information area for frequency data"},
    {SW_LINK_REGION_LABEL_LABEL_ID, "Link a selected label to a selection"},
    {SW_ERASE_LABEL_PROMPT_LABEL_ID, "Always ask before erasing a label"},
    
    {SW_AUTOSAVE_DIR_LABEL_ID, "Autosave directory"},
    {SW_AUTOSAVE_ID_PREFIX_LABEL_ID, "Prefix of autosave ID"},
    {SW_AUTOSAVE_ID_TYPE_LABEL_ID, "Autosave ID type"},
    {SW_AUTOSAVE_LABEL_SUFFIX_LABEL_ID, "Label file suffix"},
    {SW_AUTOSAVE_LABEL_FULLPATH_LABEL_ID, "Write the full path into a label file"},
    {SW_AUTOSAVE_DROP_LABEL_ID, "Autosave by drag && drop"},

    {SW_LABEL_DIALOG_TITLE_ID, "Label Dialog"},
    {SW_LABEL_DIALOG_TIME_LABEL_ID, "Time"},
    {SW_LABEL_DIALOG_END_TIME_LABEL_ID, "End"},
    {SW_LABEL_DIALOG_DATA_LABEL_ID, "Data"},
    {SW_LABEL_DIALOG_SYMBOL_LABEL_ID, "Symbol"},

    {SW_ANALYSIS_DIALOG_TITLE_ID, "Preference for Analysis"},
    {SW_ANALYSIS_PARAMETER_LABEL_ID, "Parameters"},
    {SW_ANALYSIS_TYPE_LABEL_ID, "Analysis Type"},
    {SW_ANALYSIS_WINDOW_TYPE_LABEL_ID, "Window Type"},
    {SW_ANALYSIS_FFT_LENGTH_LABEL_ID, "Minimum FFT Length"},
    {SW_ANALYSIS_MAX_FFT_LENGTH_LABEL_ID, "Maximum FFT Length"},
    {SW_ANALYSIS_LIFTER_LABEL_ID, "Lifter Length"},
    {SW_ANALYSIS_ATTRIBUTE_LABEL_ID, "Attribute"},
    {SW_ANALYSIS_NEW_WINDOW_LABEL_ID, "Always make a new window"},
    {SW_ANALYSIS_LINEAR_SPECTRUM_LABEL_ID, "Use a linear spectrum (not use decibel)"},
    {SW_ANALYSIS_NORMALIZE_SPECTRUM_LABEL_ID, "Normalize a spectrum with a waveform's maximum"},
    
    {SW_OPTION_DIALOG_TITLE_ID, "Format Options"},
    
    {SW_INFO_DIALOG_TITLE_ID, "File Infomation"},
    {SW_INFO_DIALOG_TITLE_LABEL_ID, "Title"},
    {SW_INFO_DIALOG_ARTIST_LABEL_ID, "Artist"},
    {SW_INFO_DIALOG_ALBUM_LABEL_ID, "Album"},
    {SW_INFO_DIALOG_GENRE_LABEL_ID, "Genre"},
    {SW_INFO_DIALOG_RELEASE_LABEL_ID, "Release"},
    {SW_INFO_DIALOG_TRACK_LABEL_ID, "Track"},
    {SW_INFO_DIALOG_COPYRIGHT_LABEL_ID, "Copyright"},
    {SW_INFO_DIALOG_ENGINEER_LABEL_ID, "Engineer"},
    {SW_INFO_DIALOG_SOURCE_LABEL_ID, "Source"},
    {SW_INFO_DIALOG_SOFTWARE_LABEL_ID, "Software"},
    {SW_INFO_DIALOG_SUBJECT_LABEL_ID, "Subject"},
    {SW_INFO_DIALOG_COMMENT_LABEL_ID, "Comment"},
    
    {SP_NULL_ID, ""},
};

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif
