/*
 *	swWaveAudio.h
 */

#ifndef __SWWAVEAUDIO_H
#define __SWWAVEAUDIO_H

#include "swWave.h"

#ifdef __cplusplus
extern "C" {
#endif

#if defined(MACOS)
#pragma import on
#endif

typedef struct _swAudio *swAudio;

extern spBool swSetPlayRegion(swWave wave, long offset, long length);
extern spBool swPlayWave(swWave wave, spBool loop_flag);

extern spBool swIsWavePlayable(swWave wave);
extern swAudio swBeginAudio(swWave wave);
extern spBool swEndAudio(swAudio audio);

#if defined(MACOS)
#pragma import off
#endif

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SWWAVEAUDIO_H */
