#   File:       spAudio-ppc.make
#   Target:     spAudio-ppc
#   Created:    Monday, August 7, 2000 01:05:43 AM


MAKEFILE        = spAudio-ppc.make
# MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild    =

SpBaseDir       = ::spBase:
SpLibDir  	= ::lib:

ObjDir          = :
Includes        =  
				  -i : 
				  -i {SpBaseDir}

Sym-PPC         = -sym off

PPCCOptions     = {Includes} {Sym-PPC}  -includes unix -enum int


### Source Files ###

SrcFiles        =  
				  spAudio.c 
				  spAudio_Mac.c 
				  spInputPlugin.c 
				  spOutputPlugin.c 
				  spPlugin.c 
				  spWave_Aiff.c 
				  spWave_Wav.c 
				  spWave.c


### Object Files ###

ObjFiles-PPC    =  
				  "{ObjDir}spAudio.c.x" 
				  "{ObjDir}spAudio_Mac.c.x" 
				  "{ObjDir}spInputPlugin.c.x" 
				  "{ObjDir}spOutputPlugin.c.x" 
				  "{ObjDir}spPlugin.c.x" 
				  "{ObjDir}spWave_Aiff.c.x" 
				  "{ObjDir}spWave_Wav.c.x" 
				  "{ObjDir}spWave.c.x"


### Libraries ###

LibFiles-PPC    = 


### Default Rules ###

.c.x    .c  {MondoBuild}
	{PPCC} {depDir}{default}.c -o {targDir}{default}.c.x {PPCCOptions}


### Build Rules ###

spAudio-ppc      spAudio-ppc.o

spAudio-ppc.o    {ObjFiles-PPC} {LibFiles-PPC} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-PPC} 
		{LibFiles-PPC} 
		{Sym-PPC} 
		-mf -d 
		-t 'XCOF' 
		-c 'MPS ' 
		-xm l; 
	Duplicate -y {Targ} {SpLibDir}



### Required Dependencies ###

"{ObjDir}spAudio.c.x"    spAudio.c
"{ObjDir}spAudio_Mac.c.x"    spAudio_Mac.c
"{ObjDir}spInputPlugin.c.x"    spInputPlugin.c
"{ObjDir}spOutputPlugin.c.x"    spOutputPlugin.c
"{ObjDir}spPlugin.c.x"    spPlugin.c
"{ObjDir}spWave_Aiff.c.x"    spWave_Aiff.c
"{ObjDir}spWave_Wav.c.x"    spWave_Wav.c
"{ObjDir}spWave.c.x"    spWave.c


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .x 
		{Includes} 
		{SrcFiles}


