#   File:       dirtest.make
#   Target:     dirtest
#   Created:    Sunday, April 9, 2000 08:48:39 PM


MAKEFILE        = dirtest.make
MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified

SpBaseDir  	= :::spBase:
SpLibDir  	= :::lib:

ObjDir          = :
Includes        =  
				  -i {SpBaseDir}

Sym-68K         = -sym off

COptions        = {Includes} {Sym-68K} -model cfmseg  -includes unix -enum int -b2

### Source Files ###

SrcFiles        =  
				  dirtest.c


### Object Files ###

ObjFiles-68K    =  
				  "{ObjDir}dirtest.c.o"


### Libraries ###

LibFiles-68K    =  
				  "{SpLibDir}spBase.o" 
				  "{CFM68KLibraries}NuMathLib.o" 
				  "{SharedLibraries}StdCLib" 
				  "{CFM68KLibraries}NuSIOW.o" 
				  "{SharedLibraries}InterfaceLib" 
				  "{CFM68KLibraries}NuMacRuntime.o" 
				  "{CFM68KLibraries}NuToolLibs.o"


### Default Rules ###

.c.o    .c  {MondoBuild}
	{C} {depDir}{default}.c -o {targDir}{default}.c.o {COptions}


### Build Rules ###

dirtest    {ObjFiles-68K} {LibFiles-68K} {MondoBuild}
	ILink 
		-o {Targ} 
		{ObjFiles-68K} 
		{LibFiles-68K} 
		{Sym-68K} 
		-mf -d 
		-t 'APPL' 
		-c 'siow' 
		-model cfmseg 
		-state rewrite 
		-compact -pad 0
	If "{Sym-68K}" =~ /-sym [nNuU]/
		ILinkToSYM {Targ}.NJ -mf -sym 3.2 -c 'sade'
	End


dirtest    "{RIncludes}"SIOW.r {MondoBuild}
	Rez "{RIncludes}"SIOW.r -o {Targ} -append


### Required Dependencies ###

"{ObjDir}dirtest.c.o"    dirtest.c


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .o 
		{Includes} 
		{SrcFiles}


