#   File:       spBase-ppc.make
#   Target:     spBase-ppc
#   Created:    Monday, August 7, 2000 12:40:44 AM


MAKEFILE        = spBase-ppc.make
# MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild    =

SpBaseDir       = :
SpLibDir  	= ::lib:

ObjDir          = :
Includes        =  
				  -i {SpBaseDir}

Sym-PPC         = -sym off

PPCCOptions     = {Includes} {Sym-PPC} -includes unix -enum int


### Source Files ###

SrcFiles        =  
				  spBase.c 
				  spDirectory.c 
				  spFile.c 
				  spKanji.c 
				  spLibrary.c 
				  spMemory.c 
				  spOption.c 
				  spThread.c


### Object Files ###

ObjFiles-PPC    =  
				  "{ObjDir}spBase.c.x" 
				  "{ObjDir}spDirectory.c.x" 
				  "{ObjDir}spFile.c.x" 
				  "{ObjDir}spKanji.c.x" 
				  "{ObjDir}spLibrary.c.x" 
				  "{ObjDir}spMemory.c.x" 
				  "{ObjDir}spOption.c.x" 
				  "{ObjDir}spThread.c.x"


### Libraries ###

LibFiles-PPC    = 


### Default Rules ###

.c.x    .c  {MondoBuild}
	{PPCC} {depDir}{default}.c -o {targDir}{default}.c.x {PPCCOptions}


### Build Rules ###

spBase-ppc      spBase-ppc.o

spBase-ppc.o    {ObjFiles-PPC} {LibFiles-PPC} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-PPC} 
		{LibFiles-PPC} 
		{Sym-PPC} 
		-mf -d 
		-t 'XCOF' 
		-c 'MPS ' 
		-xm l; 
	Duplicate -y {Targ} {SpLibDir}


### Required Dependencies ###

"{ObjDir}spBase.c.x"    spBase.c
"{ObjDir}spDirectory.c.x"    spDirectory.c
"{ObjDir}spFile.c.x"    spFile.c
"{ObjDir}spKanji.c.x"    spKanji.c
"{ObjDir}spLibrary.c.x"    spLibrary.c
"{ObjDir}spMemory.c.x"    spMemory.c
"{ObjDir}spOption.c.x"    spOption.c
"{ObjDir}spThread.c.x"    spThread.c

### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .x 
		{Includes} 
		{SrcFiles}


