Summary: Basic library for speech signal processing
Name: spBase
Version: 0.8.9
Release: 2
Copyright: distributable
Distribution: (none)
Vendor: (none)
Group: Libraries
Source: spBase-0.8.9-2.tgz
Packager: Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
URL: http://www.itakura.nuee.nagoya-u.ac.jp/people/banno/spLibs/index.html
BuildRoot: /var/tmp/spBase-root

%description
spBase is a basic library for speech signal processing.

%changelog
* Fri Mar 22 2002  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.8.9

* Tue Mar 13 2001  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.8.8

* Sun Oct  8 2000  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.8.7

* Sat Aug 12 2000  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.8.6

* Sun Jun 18 2000  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.8.5

* Thu Aug 27 1999  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.8.3

* Thu Apr 15 1999  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.8.1

* Thu Feb 18 1999  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- 1st release

%prep
%setup
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

%build
cd spBase
make clean
make SPDESTROOT=$RPM_BUILD_ROOT/usr
cd ..

%install
cd spBase
make SPDESTROOT=$RPM_BUILD_ROOT/usr install
make SPDESTROOT=$RPM_BUILD_ROOT/usr install.hdr
cd ..
cp -r lib/sp $RPM_BUILD_ROOT/usr/lib
if [ -f $RPM_BUILD_ROOT/usr/lib/libspb.linux-glibc.a ]; then
    cd $RPM_BUILD_ROOT/usr/lib
    ln -s libspb.linux-glibc.a libspb.linux.a
fi

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%post
%preun
%postun

%files 
%doc spBase/README* spBase/CHANGES* spBase/LICENSE*
%doc spBase/CODING_STYLE*
%dir /usr/lib/sp
%dir /usr/include/sp
/usr/lib/*.a
/usr/lib/sp/*
/usr/include/sp/*
