/*
 *	spComponent_Mac.h
 */

#ifndef __SPCOMPONENT_MAC_H
#define __SPCOMPONENT_MAC_H

#ifdef __cplusplus
extern "C" {
#endif

#define SP_DRAW_CANVAS_BORDER
#undef SP_USE_GRAY_BACKGROUND

#define kMaxTELength 32000

#define SP_INIT_WINDOW_X_POS 15
#define SP_INIT_WINDOW_Y_POS 50
#define SP_WINDOW_X_INCR 10
#define SP_WINDOW_Y_INCR 20
#define SP_MIN_WINDOW_WIDTH 50
#define SP_MIN_WINDOW_HEIGHT 50
/*#define SP_LABEL_TOP_OFFSET 4*/
#define SP_LABEL_TOP_OFFSET 14
#define SP_SIZE_BOX_SIZE 16
#define SP_COMBO_BOX_BUTTON_SIZE 16
#if defined(MACOSX)
#define SP_TEXT_MARGIN 1
#define SP_COMBO_BOX_SPACING 12
/*#define SP_COMBO_BOX_SPACING 8*/
#else
#define SP_TEXT_MARGIN 2
#define SP_COMBO_BOX_SPACING 8
#endif
#define SP_CANVAS_BORDER 2
#define SP_TAB_TAPER 8
#define SP_TAB_CORNER_SIZE 1
#define SP_TAB_LABEL_BOTTOM_OFFSET 6
#define SP_TAB_LABEL_MARGIN 4
    
#define SP_SLIDER_VALUE_HEIGHT 16
#define SP_SLIDER_VALUE_WIDTH 30
#define SP_SLIDER_ARROW_SIZE 16
#define SP_SLIDER_THUMB_SIZE 16
#define SP_THUMB_TRACK_WIDTH_SLOP 25
#define SP_THUMB_TRACK_LENGTH_SLOP 113

#define SP_DRAG_THRESHOLD 5

#define SP_APPLE_MENU_ID 1
#define SP_FILE_MENU_ID 2
#define SP_EDIT_MENU_ID 3
#define SP_INIT_MENU_ID (SP_EDIT_MENU_ID + 1)
#define SP_WINDOW_MENU_ID 8192
#define SP_ABOUT_MENU_ITEM_ID 1
#define SP_CLOSE_MENU_ITEM_ID 4
#define SP_QUIT_MENU_ITEM_ID 11

#define SP_UNDO_MENU_ITEM_ID 1
#define SP_CUT_MENU_ITEM_ID 3
#define SP_COPY_MENU_ITEM_ID 4
#define SP_PASTE_MENU_ITEM_ID 5
#define SP_DELETE_MENU_ITEM_ID 6
#define SP_SELECT_ALL_MENU_ITEM_ID 8
    
#define SP_AQUA_MIN_SPACING 3
    
#define SP_DEFAULT_SPACING 10
#define SP_DEFAULT_MARGIN 10
#define SP_DEFAULT_DIALOG_MARGIN 0
#if defined(MACOSX)
#define SP_DEFAULT_DIALOG_BUTTON_MARGIN 14
#define SP_DEFAULT_DIALOG_BUTTON_SPACING 14
#else
#define SP_DEFAULT_DIALOG_BUTTON_MARGIN 10
#define SP_DEFAULT_DIALOG_BUTTON_SPACING 12
#endif
#if defined(MACOSX)
#define SP_DEFAULT_BUTTON_WIDTH 85
#else
#define SP_DEFAULT_BUTTON_WIDTH 80
#endif
#define SP_DEFAULT_BUTTON_HEIGHT 20
#if defined(MACOSX)
#define SP_DEFAULT_LABEL_WIDTH 85
#else
#define SP_DEFAULT_LABEL_WIDTH 80
#endif
#define SP_DEFAULT_LABEL_HEIGHT 20
#define SP_DEFAULT_TEXT_WIDTH 120
#define SP_DEFAULT_TEXT_HEIGHT 20
#define SP_DEFAULT_TEXT_AREA_WIDTH 200
#define SP_DEFAULT_TEXT_AREA_HEIGHT 200
#define SP_DEFAULT_LIST_WIDTH 120
#define SP_DEFAULT_LIST_HEIGHT 120
#define SP_DEFAULT_SLIDER_LENGTH 200
#define SP_DEFAULT_SLIDER_WIDTH 16
#define SP_DEFAULT_TRACKBAR_LENGTH SP_DEFAULT_SLIDER_LENGTH
#define SP_DEFAULT_HORIZONTAL_TRACKBAR_WIDTH 36
#define SP_DEFAULT_VERTICAL_TRACKBAR_WIDTH 50
#define SP_DEFAULT_MENU_BAR_HEIGHT 30
#define SP_DEFAULT_TOOL_ITEM_MARGIN 2
#define SP_DEFAULT_TOOL_ITEM_SPACING 0
#define SP_DEFAULT_TOOL_SEPARATOR_WIDTH 4
#define SP_DEFAULT_OSX_TOOL_ITEM_MARGIN 8
#define SP_DEFAULT_OSX_TOOL_ITEM_SPACING 8
#define SP_DEFAULT_OSX_TOOL_SEPARATOR_WIDTH 1
#define SP_DEFAULT_STATUS_BAR_HEIGHT 16
/*#define SP_DEFAULT_TAB_HEIGHT 22*/

#define SP_CONTAINER_TITLE_TOP_OFFSET 9
#define SP_CONTAINER_TITLE_LEFT_OFFSET 20
#define SP_CONTAINER_TITLE_RIGHT_OFFSET 10
#define SP_CONTAINER_TITLE_MARGIN 4
    
#define SP_DEFAULT_WINDOW_WIDTH 300
#define SP_DEFAULT_WINDOW_HEIGHT 200
    
#define SP_DEFAULT_LABEL_TOP_OFFSET 3
    
#define SP_CALLBACK_BUFFER 16
    
#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPCOMPONENT_MAC_H */
