#if defined(__GNUC__)
#define sp_string_table_sjis sp_string_table_c
#else

#ifdef __cplusplus
extern "C" {
#endif

static spStringTable sp_string_table_sjis[] = {
    {SP_OK_LABEL_ID, "OK"},
    {SP_CANCEL_LABEL_ID, "LZ"},
    {SP_YES_LABEL_ID, "͂"},
    {SP_NO_LABEL_ID, ""},
    {SP_RETRY_LABEL_ID, "Ďs"},
    {SP_OPEN_LABEL_ID, "J"},
    {SP_SAVE_LABEL_ID, "ۑ"},
    {SP_FILTER_LABEL_ID, "tB^"},
    {SP_APPLY_LABEL_ID, "Kp"},
    {SP_DIR_LIST_LABEL_ID, "fBNg"},
    {SP_FILE_LIST_LABEL_ID, "t@C"},
    {SP_FILE_NAME_LABEL_ID, "t@C"},
    {SP_FILE_TYPE_LABEL_ID, "t@C̎"},

    {SP_INFORMATION_TITLE_ID, ""},
    {SP_QUESTION_TITLE_ID, ""},
    {SP_WARNING_TITLE_ID, "x"},
    {SP_ERROR_TITLE_ID, "G["},
    {SP_WORKING_TITLE_ID, ""},
    {SP_MESSAGE_TITLE_ID, "bZ[W"},
    {SP_OPEN_TITLE_ID, "J..."},
    {SP_SAVE_TITLE_ID, "Otĕۑ..."},
    {SP_DIR_SELECTION_TITLE_ID, "fBNg̑I..."},
    {SP_FILE_SELECTION_BUTTON_ID, "I..."},
    {SP_DIR_SELECTION_BUTTON_ID, "I..."},
    {SP_FONT_SELECTION_TITLE_ID, "tHg̑I..."},
    {SP_FONT_FAMILY_LABEL_ID, "tHg:"},
    {SP_FONT_STYLE_LABEL_ID, "X^C:"},
    {SP_FONT_STYLE_MEDIUM_LABEL_ID, "W"},
    {SP_FONT_STYLE_ITALIC_LABEL_ID, "C^bN"},
    {SP_FONT_STYLE_OBLIQUE_LABEL_ID, "Α"},
    {SP_FONT_STYLE_BOLD_LABEL_ID, ""},
    {SP_FONT_STYLE_BOLD_ITALIC_LABEL_ID, " C^bN"},
    {SP_FONT_STYLE_BOLD_OBLIQUE_LABEL_ID, " Α"},
    {SP_FONT_STYLE_LIGHT_LABEL_ID, "׎"},
    {SP_FONT_STYLE_LIGHT_ITALIC_LABEL_ID, "׎ C^bN"},
    {SP_FONT_STYLE_LIGHT_OBLIQUE_LABEL_ID, "׎ Α"},
    {SP_FONT_STYLE_BLACK_LABEL_ID, "ɑ"},
    {SP_FONT_STYLE_BLACK_ITALIC_LABEL_ID, "ɑ C^bN"},
    {SP_FONT_STYLE_BLACK_OBLIQUE_LABEL_ID, "ɑ Α"},
    {SP_FONT_SIZE_LABEL_ID, "TCY:"},
    {SP_FONT_SAMPLE_LABEL_ID, "Tv"},
    {SP_FONT_SAMPLE_CONTENTS_C_ID, "AaBbYyZz"},
    {SP_FONT_SAMPLE_CONTENTS_ID, "AaA@F"},
    {SP_COLOR_SELECTION_TITLE_ID, "F̑I..."},
    
    {SP_QUIT_QUESTION_TITLE_ID, "I"},
    {SP_QUIT_QUESTION_MESSAGE_ID, "I܂H"},
    {SP_CLOSE_QUESTION_TITLE_ID, ""},
    {SP_CLOSE_QUESTION_MESSAGE_ID, "܂H"},
    {SP_MODIFY_QUIT_QUESTION_TITLE_ID, "I"},
    {SP_MODIFY_QUIT_QUESTION_MESSAGE_ID, "t@CύXĂ܂D\nI܂H"},
    {SP_MODIFY_CLOSE_QUESTION_TITLE_ID, ""},
    {SP_MODIFY_CLOSE_QUESTION_MESSAGE_ID, "t@CύXĂ܂D\n܂H"},
    {SP_OVERWRITE_PROMPT_TITLE_ID, "㏑"},
    {SP_OVERWRITE_PROMPT_MESSAGE_ID, "%s ͊ɑ݂܂D\n㏑܂H"},
    {SP_NOT_FOUND_FILE_MESSAGE_ID, "̂悤ȃt@C͂܂D"},
    {SP_NOT_FOUND_PATH_MESSAGE_ID, "̂悤ȃfBNg͂܂D"},
    {SP_NOT_DIR_MESSAGE_ID, "fBNgw肵ĉD"},
    
    {SP_FILE_MENU_LABEL_ID, "t@C(&F)"},
    {SP_EDIT_MENU_LABEL_ID, "ҏW(&E)"},
    {SP_VIEW_MENU_LABEL_ID, "\(&V)"},
    {SP_HELP_MENU_LABEL_ID, "wv(&H)"},
    
    {SP_NEW_MENU_LABEL_ID, "VK(&N)"},
    {SP_OPEN_MENU_LABEL_ID, "J(&O)..."},
    {SP_CLOSE_MENU_LABEL_ID, "(&C)"},
    {SP_SAVE_MENU_LABEL_ID, "ۑ(&S)"},
    {SP_SAVE_AS_MENU_LABEL_ID, "Otĕۑ(&A)..."},
    {SP_PAGE_SETUP_MENU_LABEL_ID, "pݒ(&e)..."},
    {SP_PRINT_MENU_LABEL_ID, "(&P)"},
    {SP_QUIT_MENU_LABEL_ID, "I(&Q)"},
    
    {SP_UNDO_MENU_LABEL_ID, "(&U)"},
    {SP_REDO_MENU_LABEL_ID, "蒼(&R)"},
    {SP_CUT_MENU_LABEL_ID, "؂(&t)"},
    {SP_COPY_MENU_LABEL_ID, "Rs[(&C)"},
    {SP_PASTE_MENU_LABEL_ID, "\t(&P)"},
    {SP_CLEAR_MENU_LABEL_ID, "NA(&l)"},
    {SP_DELETE_MENU_LABEL_ID, "폜(&D)"},
    {SP_SELECT_ALL_MENU_LABEL_ID, "SđI(&A)"},
    
    {SP_ABOUT_MENU_LABEL_ID, "̃\tgɂ(&A)..."},
    {SP_ABOUT_LABEL_ID, "̃\tgɂ"},
    
    {SP_NULL_ID, ""},
};

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif
