Summary: A library for speech signal processing. 
Name: spLib
Version: 0.8.3
Release: 3
Copyright: distributable
Distribution: (none)
Vendor: (none)
Group: Libraries
Source: spLib-0.8.3-3.tgz
Packager: Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
URL: http://www.itakura.nuee.nagoya-u.ac.jp/people/banno/spLibs/index.html
BuildRoot: /var/tmp/spLib-root
Requires: spBase

%description
A library for speech signal processing. This library includes many functions
for signal processing.

%changelog
* Sun Oct  8 2000  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.8.3

* Sun Jun 18 2000  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.8.2

* Thu Aug 27 1999  Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- Version 0.8.1

* Mon Apr 5 1999 Hideki Banno <banno@itakura.nuee.nagoya-u.ac.jp>
- 1st release

%prep
%setup
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

%build
cd sp
make TOP=/usr clean
make TOP=/usr
cd ..

%install
cd sp
make TOP=/usr SPDESTROOT=$RPM_BUILD_ROOT/usr install
make TOP=/usr SPDESTROOT=$RPM_BUILD_ROOT/usr install.hdr
cd ..
if [ -f $RPM_BUILD_ROOT/usr/lib/libsp.linux-glibc.a ]; then
    cd $RPM_BUILD_ROOT/usr/lib
    ln -s libsp.linux-glibc.a libsp.linux.a
fi

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%post
%preun
%postun

%files 
%doc sp/README* sp/CHANGES* sp/LICENSE*
/usr/lib/*.a
/usr/include/sp/*.h
