/*
 *	swAnalysis.h
 */

#ifndef __SWANALYSIS_H
#define __SWANALYSIS_H

#include "swWindow.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifdef SW_USE_ANALYSIS
    
#if defined(MACOS)
#pragma import on
#endif

extern swAnalysisType swGetAnalysisTypeFromLabel(char *label);
extern char *swGetAnalysisTypeParamLabel(swAnalysisType type);
extern swWindowType swGetWindowTypeFromLabel(char *label);
extern char *swGetWindowTypeParamLabel(swWindowType type);
extern void swSetDataLabel(swWindow window, char *label);
extern void swSetDataDimension(swWindow window, char *dim);
extern swWindow swAnalysisWindow(swWindow window, long offset, long length, spBool new_flag);
extern void swAnalysisRegionCB(spComponent component, swWindow window);
extern void swAnalysisFrame(spComponent component, swWindow window, spBool wide_flag);
extern void swAnalysisWideCB(spComponent component, swWindow window);
extern void swAnalysisNarrowCB(spComponent component, swWindow window);
extern void swAnalysisAll(spComponent component);

#if defined(MACOS)
#pragma import off
#endif

#endif
    
#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SWANALYSIS_H */
